Bug 1789085 - node_exporter does not report virt_platform{type="none"}
Summary: node_exporter does not report virt_platform{type="none"}
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Monitoring
Version: 4.2.z
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 4.2.z
Assignee: Pawel Krupa
QA Contact: Junqi Zhao
URL:
Whiteboard:
Depends On: 1789084
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-01-08 17:19 UTC by Clayton Coleman
Modified: 2020-03-18 08:58 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1789084
Environment:
Last Closed: 2020-03-18 08:58:06 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift node_exporter pull 50 None closed Bug 1789085: Not reporting 'none' when no platforms located 2020-03-17 01:10:29 UTC
Red Hat Product Errata RHBA-2020:0787 None None None 2020-03-18 08:58:15 UTC

Description Clayton Coleman 2020-01-08 17:19:46 UTC
+++ This bug was initially created as a clone of Bug #1789084 +++

+++ This bug was initially created as a clone of Bug #1789083 +++

When we fixed the last bug in the virt_platform node_exporter metric, we accidentally broke the type="none" calculation.  We need to fix this and back port to 4.2.

Comment 5 Junqi Zhao 2020-03-09 03:13:49 UTC
tested with the fix on 4.2.0-0.nightly-2020-03-08-215456, we can find virt_platform{type="none"} in /var/node_exporter/textfile/virt.prom file of node-exporter pods

# HELP virt_platform reports one series per detected virtualization type. If no type is detected, the type is "none".
# TYPE virt_platform gauge
virt_platform{type="none"} 1

Comment 7 errata-xmlrpc 2020-03-18 08:58:06 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0787


Note You need to log in before you can comment on or make changes to this bug.